dpkg-realpath(1)

NOM
dpkg-realpath - affichage du chemin résolu avec gestion de DPKG_ROOT

SYNOPSIS
dpkg-realpath [option...] chemin

DESCRIPTION
dpkg-realpath est un outil (depuis dpkg 1.20.1) pour résoudre un nom de chemin qui prend en compte le répertoire racine de dpkg(1), soit de façon implicite à partir de la variable d'environnement DPKG_ROOT ou à partir des options --root ou --instdir en ligne de commande, et renvoie un chemin absolu relatif au répertoire racine. Le répertoire racine ne doit pas être préfixé du chemin à résoudre.

Cela est destiné à être utilisé par d'autres assistants de dpkg ou par les scripts du responsable à la place de l'utilisation de realpath(1) ou readlink(1) pour des noms de chemins canoniques dans la mesure où ces dernières commandes ne gèrent pas des chemins canoniques relatifs à une racine autre que /.

This program was introduced in dpkg 1.20.1.

OPTIONS

-z, --zero
    Utiliser un octet NULL pour terminer les lignes de sortie à la place d'un caractère saut de ligne (depuis dpkg 1.20.6).

--instdir répertoire
--root répertoire
    Définit le répertoire racine à répertoire qui est le répertoire de base d'installation qui désigne le répertoire par rapport auquel les chemins deviennent canoniques. (La valeur par défaut est « / » si DPKG_ROOT n'a été défini.

-?, --help
    Afficher un message d'aide puis quitter.

--version
    Afficher le numéro de version puis quitter.

ENVIRONNEMENT

DPKG_ROOT
    Si cette variable est positionnée et que les options --admindir ou --root ne sont pas précisées, ce répertoire sera utilisé comme répertoire racine du système de fichiers.

DPKG_COLORS
    Définit le mode de couleur. Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    If set, it will be used to decide whether to activate Native Language Support, also known as internationalization (or i18n) support (since dpkg 1.22.7). The accepted values are: 0 and 1 (default).

VOIR AUSSI
realpath(1), readlink(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.